SDL_windowsshape.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_video.h"`
`#include "SDL_shape.h"`
`#include "../SDL_sysvideo.h"`
`#include "../SDL_shape_internals.h"`
Include dependency graph for SDL_windowsshape.h:

Go to the source code of this file.

## Data Structures

struct | SDL_ShapeData

## Functions

SDL_WindowShaper * | Win32_CreateShaper (SDL_Window *window)
int | Win32_SetWindowShape (SDL_WindowShaper *shaper, SDL_Surface *shape, SDL_WindowShapeMode *shape_mode)
int | Win32_ResizeWindowShape (SDL_Window *window)

## Function Documentation

SDL_WindowShaper* Win32_CreateShaper | ( | SDL_Window * | window | ) |

int Win32_ResizeWindowShape | ( | SDL_Window * | window | ) |

int Win32_SetWindowShape | ( | SDL_WindowShaper * | shaper,
|  | SDL_Surface * | shape,
|  | SDL_WindowShapeMode * | shape_mode
| ) |  |